{
    "extends": [
      "react-app",
      "eslint:recommended",
      "plugin:react/recommended",
      "plugin:@typescript-eslint/recommended",
      "prettier/@typescript-eslint",
      "plugin:prettier/recommended"
    ],
    "plugins": ["react", "@typescript-eslint", "prettier"],
    "env": {
      "browser": true,
      "node": true,
      "jasmine": true,
      "jest": true,
      "es6": true
    },
    "rules": {
      "prettier/prettier": ["error", { "singleQuote": true }],
      "@typescript-eslint/explicit-member-accessibility": 0,
      "@typescript-eslint/explicit-function-return-type": 0,
      "no-console":"off",
      "react/prop-types": 0,
      "@typescript-eslint/interface-name-prefix": 0,
      "@typescript-eslint/no-use-before-define": 0,
      "@typescript-eslint/no-inferrable-types": 0,
      "no-eval": 0
    },
    "settings": {
      "react": {
        "pragma": "React",
        "version": "detect"
      }
    },
    "parser": "@typescript-eslint/parser"
  }